JBoss API: Class MessageDrivenTxInterceptorBMT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class MessageDrivenTxInterceptorBMT

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.TxInterceptorBMT
                  |
                  +--org.jboss.ejb.plugins.MessageDrivenTxInterceptorBMT

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class MessageDrivenTxInterceptorBMT
extends TxInterceptorBMT

Stolen from TxInterceptorBMP

Version:
  $Revision: 1.4.6.2 $
Author:
  Marc Fleury, Sebastien Alborini, Peter Antman (peter.antman@tim.se)
See Also:

Inner classes inherited from class org.jboss.ejb.plugins.TxInterceptorBMT
`TxInterceptorBMT.UserTxFactory`

Fields inherited from class org.jboss.ejb.plugins.TxInterceptorBMT
`container, tm`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`MessageDrivenTxInterceptorBMT()`

Method Summary
`java.lang.Object` | `invoke(MethodInvocation mi)` This method does invocation interpositioning of tx management MessageDriven specialication

Methods inherited from class org.jboss.ejb.plugins.TxInterceptorBMT
`getContainer, init, invokeHome, setContainer, stop`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, setNext, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDrivenTxInterceptorBMT

    public MessageDrivenTxInterceptorBMT()

Method Detail

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  This method does invocation interpositioning of tx management MessageDriven specialication
  Overrides:
    `invoke` in class `TxInterceptorBMT`
  Parameters:
    `id` -
    `m` -
    `args` -
  Returns:
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.